#include <iostream>
#include <time.h>
using namespace std;

int main()
{
    srand(time(0));
    long int n,i,sum;
    cin>>n;
    char a[n];
    for(i=0;i<n;i++)
    {
        cin>>a[i];
    }
    sum=rand()%1000000007;
    cout<<sum<<endl;
    return 0;
}